<?php

use App\Libraries\CIAuth;

if( !function_exists('get_user') ){
    function get_user(){
        if( CIAuth::check() ){
            return CIAuth::user();
        }else{
            return null;
        }
    }
}

if( !function_exists('current_route_name') ){
    function current_route_name(){
        $router = \CodeIgniter\Config\Services::router();
        $route_name = $router->getMatchedRoute()[0];

        $routes = explode('/',$route_name);

        if(count($routes) == 1){
            return array('modulo'=>$routes[0],'subModulo'=>'');
        }else{
            if(count($routes) >= 2){
                return array('modulo'=>$routes[0],'subModulo'=>$routes[1]);
            }
        }

    }
}

if( !function_exists('get_modulos') ){
    function get_modulos(){
        $route = current_route_name();  
        $modulo = new \App\Models\Modulo();
        return $modulo->getModulosByUsuario(CIAuth::usuaId(),$route['modulo'],$route['subModulo'],env('sistema'));
    }
}

if( !function_exists('getFechaFormato') ){
    function getFechaFormato($fecha){

        if(strlen($fecha) > 10){
            $fecha = substr($fecha,0,10);
        }

        if ($fecha != null && $fecha != '') {

            if (strpos($fecha, '-')) {
                $fecha = explode('-', $fecha);
                return $fecha[2] . '/' . $fecha[1] . '/' . $fecha[0];
            } else {
                if (strpos($fecha, '/')) {
                    $fecha = explode('/', $fecha);
                    return $fecha[2] . '-' . $fecha[1] . '-' . $fecha[0];
                } else {
                    return '';
                }
            }
        } else {
            return '';
        }
    }
}

if( !function_exists('getTextoReferenciaMovimientoCajaPersona') ){
    function getTextoReferenciaMovimientoCaja(){
        return "PERSONA";
    }
}

if( !function_exists('getTextoReferenciaMovimientoCajaCuentaCobrar') ){
    function getTextoReferenciaMovimientoCajaCuentaCobrar(){
        return "CUENTA_COBRAR";
    }
}